Loading...
Searching...
No Matches
fastjet::Coord2D Class Reference

More...

`#include <fastjet/internal/ClosestPair2DBase.hh>`

## Public Member Functions

| Coord2D (double a, double b)
Coord2D | operator- (const Coord2D &other) const
| return the vector difference between two coordinates
Coord2D | operator+ (const Coord2D &other) const
| return the vector sum between two coordinates
Coord2D | operator* (double factor) const
| return the product of the coordinate with the factor
Coord2D | operator/ (double divisor) const
| division of each component of coordinate
double | distance2 (const Coord2D &b) const
| return the squared distance between two coordinates

## Public Attributes

double | x
double | y

## Friends

Coord2D | operator* (double factor, const Coord2D &coord)
double | distance2 (const Coord2D &a, const Coord2D &b)
| return the squared distance between two coordinates

## Detailed Description

Definition at line 46 of file ClosestPair2DBase.hh.

## Constructor & Destructor Documentation

## Coord2D() [1/2]

fastjet::Coord2D::Coord2D | ( |  | ) |

inline

Definition at line 50 of file ClosestPair2DBase.hh.

## Coord2D() [2/2]

fastjet::Coord2D::Coord2D | ( | double | a,
|  | double | b )

inline

Definition at line 52 of file ClosestPair2DBase.hh.

## Member Function Documentation

## operator-()

Coord2D fastjet::Coord2D::operator- | ( | const Coord2D & | other | ) | const

inline

return the vector difference between two coordinates

Definition at line 55 of file ClosestPair2DBase.hh.

## operator+()

Coord2D fastjet::Coord2D::operator+ | ( | const Coord2D & | other | ) | const

inline

return the vector sum between two coordinates

Definition at line 59 of file ClosestPair2DBase.hh.

## operator*()

Coord2D fastjet::Coord2D::operator* | ( | double | factor | ) | const

inline

return the product of the coordinate with the factor

Definition at line 63 of file ClosestPair2DBase.hh.

## operator/()

Coord2D fastjet::Coord2D::operator/ | ( | double | divisor | ) | const

inline

division of each component of coordinate

Definition at line 69 of file ClosestPair2DBase.hh.

## distance2()

double fastjet::Coord2D::distance2 | ( | const Coord2D & | b | ) | const

inline

return the squared distance between two coordinates

Definition at line 78 of file ClosestPair2DBase.hh.

## Friends And Related Symbol Documentation

## operator*

Coord2D operator* | ( | double | factor,
|  | const Coord2D & | coord )

friend

Definition at line 64 of file ClosestPair2DBase.hh.

## distance2

double distance2 | ( | const Coord2D & | a,
|  | const Coord2D & | b )

friend

return the squared distance between two coordinates

Definition at line 73 of file ClosestPair2DBase.hh.

## Member Data Documentation

## x

double fastjet::Coord2D::x

Definition at line 48 of file ClosestPair2DBase.hh.

## y

double fastjet::Coord2D::y

Definition at line 48 of file ClosestPair2DBase.hh.

The documentation for this class was generated from the following file:

- include/fastjet/internal/ClosestPair2DBase.hh